﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize here
            } else {
                // TODO: This application has been reactivated from suspension. Restore here
            }
            args.setPromise(WinJS.UI.processAll().then(function completed() {
                // added all these handlers MD Feb. 26, 2013
                var ratingControlDiv = document.getElementById("ratingControl");
                // need actual Rating control
                var ratingCtrl = ratingControl.winControl;
                ratingCtrl.addEventListener("change", ratingChanged, false);

                // added this event handler MD Feb. 26, 2013
                var process = document.getElementById("processData");
                process.addEventListener("click", buttonClickEventHandler, false);
                // note call to function below
            }));
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
    };

    // created this function entirely 
    // MD Feb. 26, 2013
    function buttonClickEventHandler(eventInfo) {
        var userName = document.getElementById("inputName").value;
        var greetString = "Hello, " + userName + " welcome to my first Windows 8 app built with HTML, CSS, and JavaScript";
        document.getElementById("outputName").innerText = greetString;
    }

    function ratingChanged(eventInfo) {
        var ratingOutput = document.getElementById("ratingOutput");
        ratingOutput.innerText = eventInfo.detail.tentativeRating + " stars";
    }

    app.start();
})();
